Page MenuHomePhabricator

Remove box-shadow usage in Popups and GuidedTour
Closed, ResolvedPublic2 Estimated Story Points

Description

.box-shadow() LESS mixin is now obsolete as box-shadow is supported without any vendor prefix fallbacks.

To support the goal in T277819, we need to update our extensions.

Popups is the only extension that web maintains that uses the deprecated mixin
https://gerrit.wikimedia.org/g/mediawiki/extensions/Popups/+/2f06a49a6ce63f66a7ba32162b77a968a3b38de6/src/ui/templates/popup/popup.less#23

We kinda support GuidedTour as we have @phuedx
https://gerrit.wikimedia.org/g/mediawiki/extensions/GuidedTour/+/433d6975a030314754113d3881b9375f2e52ada8/modules/ext.guidedTour.less#20

Gettingstarted can be ignored because of https://phabricator.wikimedia.org/T235752

Event Timeline

Jdlrobson renamed this task from Remove box-shadow to Remove box-shadow usage in Popups.May 13 2021, 12:59 AM
Jdlrobson removed ovasileva as the assignee of this task.
Jdlrobson created this task.
Jdlrobson added a subscriber: ovasileva.
Jdlrobson renamed this task from Remove box-shadow usage in Popups to Remove box-shadow usage in Popups and GuidedTour.May 13 2021, 1:01 AM
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a subscriber: phuedx.
Jdlrobson renamed this task from Remove box-shadow usage in Popups and GuidedTour to Remove box-shadow usage in Popups, GettingStarted and GuidedTour.May 13 2021, 1:02 AM
Jdlrobson updated the task description. (Show Details)
ovasileva triaged this task as Medium priority.May 13 2021, 8:18 AM
Jdlrobson renamed this task from Remove box-shadow usage in Popups, GettingStarted and GuidedTour to Remove box-shadow usage in Popups and GuidedTour.Jun 8 2021, 9:00 PM
Jdlrobson updated the task description. (Show Details)

Change 700403 had a related patch set uploaded (by Bernard Wang; author: Bernard Wang):

[mediawiki/extensions/Popups@master] Remove obsolete box-shadow mixin

https://gerrit.wikimedia.org/r/700403

bwang removed bwang as the assignee of this task.Jun 18 2021, 4:29 PM

Change 700403 merged by jenkins-bot:

[mediawiki/extensions/Popups@master] Remove obsolete box-shadow mixin

https://gerrit.wikimedia.org/r/700403

Edtadros added a subscriber: Edtadros.

@bwang can you add some test steps and/or acceptance criteria please?

@Edtadros and @bwang I think this should deliberately skip QA. It's a simple code change that should be verified by checking mentioned extensions for not using of .box-shadow LESS mixin after the change, but box-shadow: property. There's no risk here, if patch goes to code review and stylelint doesn't complain.

That's Language team area. You could provide a patch, but let's keep this task for the ones Readers Web has to care about.

Change 700532 had a related patch set uploaded (by VolkerE; author: VolkerE):

[mediawiki/extensions/GettingStarted@master] Remove obsolete LESS `box-shadow` mixin

https://gerrit.wikimedia.org/r/700532

Ha, and was misguided remembering GettingStarted and not GuidedTour. Pls ignore above.

Change 700532 abandoned by VolkerE:

[mediawiki/extensions/GettingStarted@master] Remove obsolete LESS `box-shadow` mixin

Reason:

GettingStarted will be undeployed https://phabricator.wikimedia.org/T235752

https://gerrit.wikimedia.org/r/700532

Change 700535 had a related patch set uploaded (by VolkerE; author: VolkerE):

[mediawiki/extensions/GuidedTour@master] Remove obsolete LESS `box-shadow` mixin

https://gerrit.wikimedia.org/r/700535

Change 700535 merged by jenkins-bot:

[mediawiki/extensions/GuidedTour@master] Remove obsolete LESS `box-shadow` mixin

https://gerrit.wikimedia.org/r/700535

Volker_E removed a project: Patch-For-Review.

Boldly moving to Signoff column.